### Method

# Clutter Seat list_devices

#### Declaration [src]

    GList*
    clutter_seat_list_devices (
      ClutterSeat* seat
    )

#### Description [src]

Returns the list of HW devices.

#### Return value

Type: A list of `ClutterInputDevice*`

A list of `ClutterInputDevice`. The elements of the returned list are owned by Clutter and may not be freed, the returned list should be freed using `g_list_free()` when done.

The caller of the method takes ownership of the returned data container, but not the data inside it.